com.h3c.sdn.application

## Class ApplicationHealthStatus

- java.lang.Object
- - com.h3c.sdn.application.ApplicationHealthStatus

-     public final class ApplicationHealthStatus
      extends Object

  Representation of Application Health.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getHealthReason()` Returns the reason for the health of application.
    `int` | `hashCode()`
    `boolean` | `isHealthy()` Returns whether the application is healthy or not.
    `String` | `toString()`
    `static ApplicationHealthStatus` | `valueOfHealthy()` Creates a healthy application status.
    `static ApplicationHealthStatus` | `valueOfUnhealthy()` Creates an unhealthy application status.
    `static ApplicationHealthStatus` | `valueOfUnhealthy(String reason)` Creates an unhealthy application status.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### valueOfHealthy

          public static ApplicationHealthStatus valueOfHealthy()

      Creates a healthy application status.
      Returns:
        a healthy application status.

    - #### valueOfUnhealthy

          public static ApplicationHealthStatus valueOfUnhealthy(String reason)

      Creates an unhealthy application status.
      Parameters:
        `reason` - condition that led to an unhealthy state
      Returns:
        an unhealthy application status.

    - #### valueOfUnhealthy

          public static ApplicationHealthStatus valueOfUnhealthy()

      Creates an unhealthy application status.
      Returns:
        an unhealthy application status.

    - #### isHealthy

          public boolean isHealthy()

      Returns whether the application is healthy or not.
      Returns:
        `true` if healthy, `false` otherwise

    - #### getHealthReason

          public String getHealthReason()

      Returns the reason for the health of application.
      Returns:
        health reason

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.